List rate limit buckets

GET
/v1/risk/limit_buckets

Every bucket of the API key's environment, by name.

Authorization

bearerAuth
headerAuthorizationBearer <token>

A secret API key from the dashboard: coss_live_… for production environments, coss_test_… for sandbox environments.

Header Parameters

Coss-Version?"2026-10-10"

The API version (a date) to use for this request. Defaults to your organization's version, pinned to the latest one when it first used the API and upgraded from the dashboard. The SDK always sends the version it was built for.

Value in"2026-10-10"

Response Body

The buckets.

application/json
  1. response

Every bucket of the environment (at most 100), by name.

object*"list"
Value in"list"
data*array<>
has_more*false
Value infalse
import { Coss } from "coss";const coss = new Coss({  apiKey: process.env.COSS_API_KEY,  baseUrl: "https://api.coss.com",});const { data, error } = await coss.risk.limitBuckets.list();
{  "object": "list",  "data": [    {      "object": "risk_limit_bucket",      "id": "rsklb_01k7c8m4q2f3e9v6t5r1n0p8yz",      "name": "password_reset",      "limit": 5,      "period_seconds": 3600,      "burst": 5,      "on_failure": "allow",      "created_at": "2026-01-15T09:30:00.000Z",      "updated_at": "2026-01-15T09:30:00.000Z"    }  ],  "has_more": false}